> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# オブジェクトのクエリ



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /objs/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /objs/query:
    post:
      tags:
        - Objects
      summary: オブジェクトのクエリ
      operationId: objs_query_objs_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ObjQueryReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjQueryRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ObjQueryReq:
      additionalProperties: false
      properties:
        filter:
          anyOf:
            - $ref: '#/components/schemas/ObjectVersionFilter'
            - type: 'null'
          description: クエリのフィルター条件。`ObjectVersionFilter` を参照してください
          examples:
            - latest_only: true
              object_ids:
                - my_favorite_model
        include_storage_size:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: true の場合、`size_bytes` 列が返されます。
          title: Include Storage Size
        include_tags_and_aliases:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: true の場合、タグとエイリアスを取得してレスポンスに含めます。
          title: Include Tags And Aliases
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          description: 返す結果の最大数
          examples:
            - 100
          title: Limit
        metadata_only:
          anyOf:
            - type: boolean
            - type: 'null'
          default: false
          description: true の場合、`val` 列はデータベースから読み取られず、空になります。その他のフィールドはすべて返されます。
          title: Metadata Only
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          description: 返す前にスキップする結果数
          examples:
            - 0
          title: Offset
        project_id:
          description: クエリするプロジェクトのID
          examples:
            - user/project
          title: Project Id
          type: string
        sort_by:
          anyOf:
            - items:
                $ref: '#/components/schemas/SortBy'
              type: array
            - type: 'null'
          description: クエリ結果の並べ替え条件。現在サポートしているのは 'object_id' と 'created_at' のみです。
          examples:
            - - direction: desc
                field: created_at
          title: Sort By
      required:
        - project_id
      title: ObjQueryReq
      type: object
    ObjQueryRes:
      properties:
        objs:
          items:
            $ref: '#/components/schemas/ObjSchema'
          title: Objs
          type: array
      required:
        - objs
      title: ObjQueryRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ObjectVersionFilter:
      additionalProperties: false
      properties:
        aliases:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 指定したエイリアスのいずれかを持つオブジェクトでフィルターします
          title: Aliases
        base_object_classes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: ベースクラスでオブジェクトをフィルターする
          examples:
            - - Model
            - - Dataset
          title: Base Object Classes
        exclude_base_object_classes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: ベースクラスでオブジェクトを除外する
          examples:
            - - Model
            - - Dataset
          title: Exclude Base Object Classes
        is_op:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            オブジェクトが weave.ops かどうかに基づいてフィルターします。`True` の場合は op のみを返し、`False`
            の場合は非 op を返し、`None` の場合はすべてのオブジェクトを返します
          examples:
            - true
            - false
            - null
          title: Is Op
        latest_only:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            `True` の場合、各オブジェクトの最新バージョンのみを返します。`False` と `None`
            の場合はすべてのバージョンを返します
          examples:
            - true
            - false
          title: Latest Only
        leaf_object_classes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: オブジェクトをリーフクラスでフィルターします
          examples:
            - - Model
            - - Dataset
            - - LLMStructuredCompletionModel
          title: Leaf Object Classes
        object_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: オブジェクトを ID でフィルターします
          examples:
            - my_favorite_model
            - my_favorite_dataset
          title: Object Ids
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: 指定したタグのいずれかを持つオブジェクトバージョンでフィルターします
          title: Tags
      title: ObjectVersionFilter
      type: object
    SortBy:
      additionalProperties: false
      properties:
        direction:
          enum:
            - asc
            - desc
          title: Direction
          type: string
        field:
          title: Field
          type: string
      required:
        - field
        - direction
      title: SortBy
      type: object
    ObjSchema:
      properties:
        aliases:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Aliases
        base_object_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Object Class
        created_at:
          format: date-time
          title: Created At
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        digest:
          title: Digest
          type: string
        is_latest:
          title: Is Latest
          type: integer
        kind:
          title: Kind
          type: string
        leaf_object_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Leaf Object Class
        object_id:
          title: Object Id
          type: string
        project_id:
          title: Project Id
          type: string
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        val:
          title: Val
        version_index:
          title: Version Index
          type: integer
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 直接設定しないでください。サーバーがこのフィールドを自動的に設定します。
          title: Wb User Id
      required:
        - project_id
        - object_id
        - created_at
        - digest
        - version_index
        - is_latest
        - kind
        - base_object_class
        - val
      title: ObjSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````